// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface ListLeaderboardEntriesResponseOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.ListLeaderboardEntriesResponse)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  java.util.List<gg.dsepractice.chinese.v1alpha1.LeaderboardEntry> 
      getLeaderboardEntriesList();
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  gg.dsepractice.chinese.v1alpha1.LeaderboardEntry getLeaderboardEntries(int index);
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.LeaderboardEntry leaderboard_entries = 1 [json_name = "leaderboardEntries"];</code>
   */
  int getLeaderboardEntriesCount();

  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
   * @return Whether the paginationInfo field is set.
   */
  boolean hasPaginationInfo();
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
   * @return The paginationInfo.
   */
  gg.dsepractice.chinese.v1alpha1.PaginationInfo getPaginationInfo();
}
